/* 横幅模块 */
.ims-banner {
  position: relative;
  min-height: 500px;
  width: 100%;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}
.ims-banner__background {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
}
.ims-banner__background img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.ims-banner__content {
  width: 90%;
  max-width: 1400px;
  margin: 0 auto;
  padding: 35px 0;
  box-sizing: border-box;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 60px;
}
.ims-banner__image {
  width: 50%;
  max-width: 780px;
}
.ims-banner__text {
  flex: 1;
  display: flex;
  flex-direction: column;
}
.ims-banner__title {
  width: 100%;
  color: #ffffff;
  text-align: left;
}
.ims-banner__description {
  width: 100%;
  max-width: 606px;
  font-weight: 400;
  color: #ffffff;
  line-height: 30px;
  margin-top: 30px;
  text-align: left;
}
.ims-banner__button {
  margin-top: 40px;
  max-width: 200px;
  border-radius: 8px;
  color: #000000;
}

.ims-processes {
  padding: 50px 0 50px;
  position: relative;
}
.ims-processes__content {
  width: 90%;
  max-width: 1400px;
  margin: 0 auto;
  position: relative;
  z-index: 1;
}
.ims-processes__title {
  font-weight: bold;
  color: #0a3635;
  text-align: center;
  margin-bottom: 40px;
}
.ims-processes__list {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.ims-processes__item {
  width: 100%;
  font-weight: 400;
  color: #121212;
  line-height: 30px;
  background: #fafafa;
  border-radius: 20px;
  text-align: left;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  position: relative;
  overflow: hidden;
}
.ims-processes__item::before {
  position: absolute;
  content: '';
  bottom: -115px;
  right: -105px;
  width: 242px;
  height: 222px;
  background: #b0e501;
  border-radius: 50%;
}
.ims-processes__item-text-top {
  display: flex;
  gap: 20px;
  margin-bottom: 30px;
}
.ims-processes__item-step-number {
  font-weight: 600;
  font-size: 60px;
  color: #b0e501;
}
.ims-processes__item-step {
  font-weight: 100;
  font-size: 40px;
  color: #000000;
}
.ims-processes__item-title {
  font-weight: bold;
  color: #121212;
}
.ims-processes__item-text {
  width: 95%;
  padding: 40px 40px 35px;
  box-sizing: border-box;
  position: relative;
  z-index: 1;
}

.ims-advantages {
  width: 100%;
  padding: 70px 0 50px;
  background: #f8f8f8;
}
.ims-advantages__title {
  width: 90%;
  margin: 0 auto;
  font-weight: bold;
  color: #0a3635;
  text-align: center;
  margin-bottom: 50px;
}
.ims-advantages__content {
  width: 90%;
  max-width: 1400px;
  margin: 0 auto;
  display: flex;
  gap: 55px;
}
.ims-advantages__item-image {
  width: 48%;
  max-width: 632px;
  flex-shrink: 0;
  display: flex;
  flex-direction: column;
  gap: 30px;
}
.ims-advantages__item-image img {
  width: 100%;
  height: auto;
  object-fit: contain;
}
.ims-advantages__text {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 30px;
}
.ims-advantages__info {
  display: flex;
  flex-direction: column;
  gap: 35px;
}
.ims-advantages__info-item {
  width: 100%;
  max-width: 657px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 15px;
}
.ims-advantages__info-item-title {
  font-weight: bold;
  color: #121212;
  display: flex;
  align-items: center;
  gap: 15px;
}
.ims-advantages__info-item img {
  width: 24px;
  height: auto;
  object-fit: contain;
}

.ims-application {
  padding: 70px 0 30px;
  position: relative;
}
.ims-application__content {
  width: 90%;
  max-width: 1400px;
  margin: 0 auto;
  position: relative;
  z-index: 1;
}
.ims-application__title {
  font-weight: bold;
  color: #0a3635;
  text-align: center;
}
.ims-application__description {
  font-weight: 400;
  color: #121212;
  line-height: 30px;
  margin-top: 40px;
  margin-bottom: 20px;
}
.ims-application__list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: stretch;
  gap: 20px;
}
.ims-application__item {
  width: calc(100% / 3 - 14px);
  max-width: 446px;
  min-height: 500px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  position: relative;
}
.ims-application__item-image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
.ims-application__item-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.ims-application__item-text {
  width: 100%;
  height: 100%;
  padding: 30px 30px 70px;
  box-sizing: border-box;
  position: relative;
  z-index: 1;
}
.ims-application__item:hover .ims-application__item-text {
  background: rgba(0, 0, 0, 0.5);
}
.ims-application__item-title {
  width: 200px;
  height: 50px;
  line-height: 50px;
  background: #0a3436;
  border-radius: 30px;
  font-weight: bold;
  font-size: 24px;
  color: #ffffff;
  text-align: center;
}
.ims-application__item:hover .ims-application__item-title {
  background: #b0e501;
  color: #121212;
}
.ims-application__item-desc {
  font-weight: 400;
  color: #ffffff;
  line-height: 30px;
  width: 90%;
  margin: 70px auto 0;
  opacity: 0;
}
.ims-application__item:hover .ims-application__item-desc {
  opacity: 1;
}

.ims-materials {
  padding: 70px 0 70px;
  background: linear-gradient(90deg, #1b1b14 0%, #0a2f36 37%, #0a3635 100%);
}
.ims-materials__content {
  width: 90%;
  max-width: 1400px;
  margin: 0 auto;
}
.ims-materials__title {
  font-weight: bold;
  color: #ffffff;
  text-align: center;
  margin-bottom: 40px;
}
.ims-materials__description {
  width: 100%;
  max-width: 1273px;
  font-weight: 400;
  color: #ffffff;
  line-height: 30px;
  text-align: center;
  margin: 0 auto;
}
.ims-materials__wrap {
  width: 100%;
  display: flex;
  justify-content: center;
  gap: 30px;
  margin-top: 20px;
}
.ims-materials__left {
  width: 40%;
  max-width: 350px;
  flex-shrink: 0;
  padding: 25px 0;
  box-sizing: border-box;
}
.ims-materials__list {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.ims-materials__item {
  width: 100%;
  background: #0a3436;
  border-radius: 30px;
  font-weight: 400;
  font-size: 20px;
  color: #ffffff;
  text-align: center;
  padding: 10px 20px;
  box-sizing: border-box;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  transition: all 0.2s ease-in-out;
}
.ims-materials__item:hover,
.ims-materials__item.is-active {
  background: #b0e501;
  color: #ffffff;
}
.ims-materials__right {
  flex: 1;
}
.ims-materials__right-item {
  width: 100%;
  display: none;
  align-items: flex-start;
  gap: 50px;
  transition: all 0.3s ease-in-out;
}
.ims-materials__right-image {
  width: 540px;
  position: relative;
  flex-shrink: 0;
}
.ims-materials__right-image:before {
  position: absolute;
  content: '';
  top: 20px;
  left: 20px;
  width: calc(100% - 20px);
  height: calc(100% - 5px);
  background: #b0e501;
  border-radius: 20px;
}
.ims-materials__right-image img {
  width: 100%;
  max-width: 520px;
  height: auto;
  object-fit: contain;
  position: relative;
  z-index: 1;
}
.ims-materials__right-text {
  flex: 1;
  margin-top: 60px;
}
.ims-materials__right-item-title {
  font-weight: bold;
  color: #ffffff;
  text-align: left;
  margin-bottom: 35px;
}
.ims-materials__right-item-desc {
  font-weight: 400;
  color: #ffffff;
  line-height: 30px;
}
.ims-materials__right-info {
  display: flex;
  flex-direction: column;
  gap: 15px;
  margin: 30px 0 0;
}
.ims-materials__right-info-item {
  width: 100%;
  font-weight: 500;
  font-size: 20px;
  color: #ffffff;
  padding-left: 30px;
  box-sizing: border-box;
  position: relative;
}
.ims-materials__right-info-item::before {
  position: absolute;
  content: '';
  left: 0px;
  top: 9px;
  width: 16px;
  height: 16px;
  background: #b0e501;
  border-radius: 50%;
}

.ims-finish {
  width: 100%;
  padding: 70px 0;
  box-sizing: border-box;
  background: #f8f8f8;
}
.ims-finish__content {
  width: 100%;
}
.ims-finish__title {
  width: 90%;
  margin: 0 auto;
  font-weight: bold;
  color: #0a3635;
  text-align: center;
  margin-bottom: 50px;
}
.ims-finish__content {
  width: 100%;
  position: relative;
}
.ims-finish__swiper-wrapper {
  width: 90%;
  max-width: 1400px;
  margin: 0 auto;
  position: relative;
  z-index: 1;
}
.ims-finish__swiper-wrapper .my-swiper {
  width: 100%;
  height: auto;
}
.ims-finish__swiper-wrapper .swiper-wrapper {
  display: flex;
  align-items: stretch;
  height: auto;
}
.ims-finish__swiper-wrapper .swiper-slide {
  flex-shrink: 0;
  box-sizing: border-box;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
}
.ims-finish__swiper-item {
  width: 100%;
  max-width: 400px;
  height: 100%;
  background: #0a3635;
  border-radius: 30px;
}
.ims-finish__swiper-item-content {
  width: 100%;
  height: 100%;
  padding: 25px 20px 20px;
  box-sizing: border-box;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.ims-finish__swiper-item-title {
  font-weight: bold;
  color: #b0e501;
  text-align: center;
  margin-bottom: 10px;
}
.ims-finish__swiper-item-desc {
  font-weight: 400;
  color: #ffffff;
  line-height: 24px;
  text-align: center;
  margin-bottom: 30px;
}
.ims-finish__swiper-item-image {
  width: 100%;
  max-width: 350px;
  margin: 0 auto;
}
.ims-finish__swiper-item-image img {
  width: 100%;
  height: auto;
  object-fit: contain;
}
.ims-finish__swiper-wrapper .swiper-button-prev,
.ims-finish__swiper-wrapper .swiper-button-next {
  width: 60px;
  height: 60px;
  background: #0a3635;
  border-radius: 50%;
  opacity: 1;
}
.ims-finish__swiper-wrapper .swiper-button-prev::after,
.ims-finish__swiper-wrapper .swiper-button-next::after {
  font-size: 24px;
  color: #ffffff;
}
.ims-finish__swiper-wrapper .swiper-button-prev {
  top: calc(50% - 15px);
  left: -120px !important;
  z-index: 10;
}
.ims-finish__swiper-wrapper .swiper-button-next {
  top: calc(50% - 15px);
  right: -120px !important;
  z-index: 10;
}
.ims-finish__swiper-wrapper .swiper-button-prev.finish-swiper-button-disabled,
.ims-finish__swiper-wrapper .swiper-button-next.finish-swiper-button-disabled {
  opacity: 0.3;
  pointer-events: none;
}

@media screen and (max-width: 760px) {
  .ims-banner__image {
    display: none;
  }
  .ims-banner__title {
    max-width: 100%;
  }
  .ims-banner__description {
    max-width: 100%;
  }

  .ims-processes__item-text-top {
    flex-wrap: wrap;
  }

  .ims-advantages__content {
    flex-direction: column;
    gap: 20px;
  }
  .ims-advantages__item-image {
    width: 100%;
  }

  .ims-application__item {
    width: 100%;
    min-height: auto;
  }

  .ims-materials__wrap {
    flex-direction: column;
  }
  .ims-materials__left {
    width: 100%;
    max-width: 100%;
    padding: 0;
  }
  .ims-materials__list {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px;
  }
  .ims-materials__item {
    width: auto;
    flex-shrink: 0;
    background: #2c4445;
    font-size: 16px;
    padding: 8px 20px;
  }
  .ims-materials__right-item {
    flex-direction: column;
  }
  .ims-materials__right-image {
    width: 100%;
    max-width: 520px;
  }
  .ims-materials__right-image:before {
    width: 100%;
    height: 100%;
    top: 10px;
    left: 10px;
  }
  .ims-materials__right-text {
    margin-top: 0px;
  }

  .ims-finish__swiper-wrapper .swiper-button-prev {
    left: -10px !important;
  }
  .ims-finish__swiper-wrapper .swiper-button-next {
    right: -10px !important;
  }
}

@media screen and (min-width: 760px) and (max-width: 1020px) {
  .ims-banner__image {
    width: 20%;
  }
  .ims-banner__title {
    max-width: 100%;
  }
  .ims-banner__description {
    max-width: 100%;
  }

  .ims-advantages__content {
    flex-direction: column;
    gap: 20px;
  }
  .ims-advantages__item-image {
    width: 100%;
  }

  .ims-application__item {
    width: calc(100% / 2 - 10px);
  }

  .ims-materials__wrap {
    flex-direction: column;
  }
  .ims-materials__left {
    width: 100%;
    max-width: 100%;
    padding: 0;
  }
  .ims-materials__list {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
  }
  .ims-materials__item {
    width: auto;
    flex-shrink: 0;
    background: #2c4445;
  }
  .ims-materials__right-item {
    flex-direction: column;
  }
  .ims-materials__right-text {
    margin-top: 0px;
  }

  .ims-finish__swiper-wrapper .swiper-button-prev {
    left: -10px !important;
  }
  .ims-finish__swiper-wrapper .swiper-button-next {
    right: -10px !important;
  }
}

@media screen and (min-width: 1020px) and (max-width: 1350px) {
  .ims-application__item {
    width: calc(100% / 2 - 10px);
  }

  .ims-materials__wrap {
    flex-direction: column;
  }
  .ims-materials__left {
    width: 100%;
    max-width: 100%;
    padding: 0;
  }
  .ims-materials__list {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
  }
  .ims-materials__item {
    width: auto;
    flex-shrink: 0;
    background: #2c4445;
  }

  .ims-finish__swiper-wrapper .swiper-button-prev {
    left: -30px !important;
  }
  .ims-finish__swiper-wrapper .swiper-button-next {
    right: -30px !important;
  }
}

@media screen and (min-width: 1350px) and (max-width: 1600px) {
  .ims-materials__wrap {
    flex-direction: column;
  }
  .ims-materials__left {
    width: 100%;
    max-width: 100%;
    padding: 0;
  }
  .ims-materials__list {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
  }
  .ims-materials__item {
    width: auto;
    flex-shrink: 0;
    background: #2c4445;
  }

  .ims-finish__swiper-wrapper .swiper-button-prev {
    left: -30px !important;
  }
  .ims-finish__swiper-wrapper .swiper-button-next {
    right: -30px !important;
  }
}

@media screen and (min-width: 1600px) and (max-width: 1900px) {
  .ims-finish__swiper-wrapper .swiper-button-prev {
    left: -30px !important;
  }
  .ims-finish__swiper-wrapper .swiper-button-next {
    right: -30px !important;
  }
}
